summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSamuel Thibault <sthibault@debian.org>2014-11-27 00:35:02 +0100
committerHolger Levsen <holger@layer-acht.org>2014-11-27 00:49:58 +0100
commit8487ff361b9a7a4103a0a76fd4183bfc5ba91456 (patch)
tree032b3d0dd7b863c3897f70851474843804fa3071
parent94c77244b8064d6f29146f7f9e36389b5216076f (diff)
downloadjenkins.debian.net-8487ff361b9a7a4103a0a76fd4183bfc5ba91456.tar.xz
Failure: g-i-installation_debian_sid_daily_hurd_lxde
Hello, hurd g-i keeps failing just because some snapshots happen to be the same just because the screen is (as expected) sometimes completely blue. As I mentioned in a previous mail, jenkins should be checking all snapshots, not just one in the past. I have attached a patch to this mail which should be doing this. I unfortunately don't have the infrastructure to test it though, so there may be dragons. Samuel
-rw-r--r--bin/g-i-installation.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 375a4bf0..45b966eb 100644
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -1113,6 +1113,24 @@ monitor_system() {
if [[ "$PIXEL" =~ ^[0-9]+$ ]] ; then
echo "$PIXEL pixel difference between snapshot_${PRINTF_NR}.png and snapshot_${PRINTF_OLD}.png"
if [ $PIXEL -lt 400 ] ; then
+ SAME=Y
+ for INTER in $(seq $OLD $NR); do
+ PRINTF_INTER=$(printf "%06d" $INTER)
+ PIXEL=$(compare -metric AE snapshot_${PRINTF_NR}.png snapshot_${PRINTF_INTER}.png /dev/null 2>&1 || true )
+ if [[ "$PIXEL" =~ ^[0-9]+$ ]] ; then
+ if [ $PIXEL -ge 400 ] ; then
+ echo "but $PIXEL difference between snapshot_${PRINTF_NR}.png and snapshot_${PRINTF_INTER}.png"
+ SAME=N
+ break
+ fi
+ else
+ echo "but snapshot_${PRINTF_NR}.png and snapshot_${PRINTF_INTER}.png have different sizes."
+ SAME=N
+ break
+ fi
+ done
+ if [ $SAME = Y ]
+ then
# unless TRIGGER_MODE is empty, matching images means its over
if [ ! -z "$TRIGGER_MODE" ] ; then
echo "Warning: snapshot_${PRINTF_NR}.png snapshot_${PRINTF_OLD}.png match or almost match, ending installation."
@@ -1130,6 +1148,7 @@ monitor_system() {
# really kick off trigger:
let TRIGGER_NR=NR
fi
+ fi
fi
else
echo "snapshot_${PRINTF_NR}.png and snapshot_${PRINTF_OLD}.png have different sizes."